//
//  Examples
//  guit GUI Toolkis
//  Copyright © 2020 Eric Lecolinet. All rights reserved.
//  http://www.telecom-paris.fr/~elc
//

#include <guit.hpp>
#include "examples.hpp"
using namespace std;
using namespace guit;


class Styles : public GWindow
{
  void doIt(Gadget* item) {
    if (item) cout << "doIt " << item->text() << endl;
  }
  
public:
  Styles() : GWindow("#styles Styles") {

    auto& box1 = RadioBox("#box1 Box1")
    << ".myitem .open"
    << ".myitem .save"
    << ".myitem .quit"
    << (RadioBox("#box2 Box2")
        << ".myitem .open"
        << ".myitem .save"
        << ".myitem .quit"
        << (RadioBox("#box3 Box3")
            << ".myitem .open"
            << ".myitem .save"
            << ".myitem .quit"
            << (RadioBox("#box4 Box4")
                << ".open"
                << ".myitem .save"
                << ".myitem .quit"
                << (RadioBox("#box5 Box5")
                    << ".myitem .open"
                    << ".myitem .save"
                    << ".myitem .quit"
                    << (RadioBox("#box6 Box6")
                        << ".myitem .open"
                        << ".myitem .save"
                        << ".myitem .quit"
                        )))));

    auto& panel1 = RadioBox("#box1 #panel1 Panel1")
    << ".myitem .open"
    << ".myitem .save"
    << ".myitem .quit"
    << (RadioBox("#box2 #panel2 Panel2")
        << ".myitem .open"
        << ".myitem .save"
        << ".myitem .quit"
        << (RadioBox("#box3 #panel3 Panel3")
            << ".myitem .open"
            << ".myitem .save"
            << ".myitem .quit"
            << (RadioBox("#box4 #panel4 Panel4")
                << ".open"
                << ".myitem .save"
                << ".myitem .quit"
                << (RadioBox("#box5 #panel5 Panel5")
                    << ".myitem .open"
                    << ".myitem .save"
                    << ".myitem .quit"
                    << (RadioBox("#box6 #panel6 Panel6")
                        << ".myitem .open"
                        << ".myitem .save"
                        << ".myitem .quit"
                        )))));

    auto& attributes = RadioBox("#attributes1 Attributes1")
    << (".myitem .open" << Text("do-Open"))
    << (".myitem .save" << Text("do-Save"))
    << (".myitem .quit" << Text("do-Quit"))

    << (RadioBox("#attributes2 Attributes2")
        << (".myitem .open" << Text("do-Open"))
        << (".myitem .save" << Text("do-Save"))
        << (".myitem .quit" << Text("do-Quit"))

        << (RadioBox("#attributes3 Attributes3")
            << (".myitem .open" << Text("do-Open"))
            << (".myitem .save" << Text("do-Save"))
            << (".myitem .quit" << Text("do-Quit"))

        << (RadioBox("#attributes4 Attributes4")
            << (".myitem .open" << Text("doOpen"))
            << (".myitem .save" << Text("doSave"))
            << (".myitem .quit" << Text("doQuit"))

            << (RadioBox("#attributes5 Attributes5")
                << (".myitem .open" << Text("do can Open"))
                << (".myitem .save" << Text("do can Save"))
                << (".myitem .quit" << Text("do can Quit"))

                << (RadioBox("#attributes6 Attributes6")
                    << (".myitem .open" << Text("do canOpen"))
                    << (".myitem .save" << Text("do canSave"))
                    << (".myitem .quit" << Text("do canQuit"))
                )))));

    *this
    << box1
    << panel1
    << attributes;
  }
};


GWindow& Examples::makeStyles() {
  return *new Styles;
}
