//
//  Builder
//  guit GUI Toolkit
//  Copyright © 2019 Eric Lecolinet. All rights reserved.
//  http://www.telecom-paristech.fr/~elc
//

#ifndef GuitBuilder_hpp
#define GuitBuilder_hpp
#include <gwindow.hpp>
namespace guit {

class GInspector;

/// Guit Builder.
class GBuilder : public GWindow {
public:
  GBuilder(GInspector&);

private:
  Gadget& newButton(GadgetType&);
  void newGadgetCB(class GCursor&, GadgetType&);
  GInspector& insp_;
};

}
#endif
